<template>
    <div class="header editor app">
        <div class="nav">
            <button class="slideover-btn" @click="toogleNav">
                <app-icon size="2x" icon="bars"></app-icon>
            </button>
            <button class="back-to-notebook" @click="backToNotebook">
                <app-icon size="2x" icon="arrow-left"></app-icon>
            </button>
            <div class="logo">
                <logo></logo>
            </div>
        </div>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'
import Logo from '@/app/components/Logo.vue'

@Component({
    components: { Logo },
})
export default class NoteHeader extends Vue {
    // Props
    @Prop() open: boolean | undefined

    // Methods
    toogleNav(): void {
        this.$emit('open', true)
    }
    backToNotebook(): void {
        this.$emit('backToNotebook')
    }
}
</script>